name: hyper_ui
description: A new Flutter project.
publish_to: "none"
version: 2.0.0+1
environment:
  sdk: ">=3.0.0 <4.0.0"
dependencies:
  flutter:
    sdk: flutter
  cupertino_icons: ^1.0.2
  freezed_annotation: ^2.4.1
  json_annotation: ^4.8.1
  intl: ^0.19.0
  google_fonts: ^6.2.1
  material_design_icons_flutter: ^7.0.7296
  image_picker: ^1.0.4
  file_picker: ^8.1.4
  # uuid: ^4.0.0
  flutter_image_compress: ^2.0.3
  cached_network_image: ^3.2.2
  permission_handler: ^11.3.1
  geolocator: ^12.0.0
  flutter_map: ^7.0.2
  # carousel_slider: ^4.1.1
  flutter_rating_bar: ^4.0.1
  url_launcher: ^6.1.6
  blur: ^4.0.0
  flutter_svg: ^2.0.5
  custom_clippers: ^2.0.0
  badges: ^3.1.1
  flutter_markdown: ^0.7.4+3
  dotted_border: ^2.0.0+3
  faker_dart: ^0.2.1
  syncfusion_flutter_charts: ^28.1.33
  qr_flutter: ^4.0.0
  path_provider: ^2.0.11
  flutter_animate: ^4.1.1+1
  dio: ^5.2.1+1
  flutter_staggered_grid_view: ^0.7.0
  flutter_inappwebview: ^6.1.5
  fluttertoast: ^8.2.4
  flutter_bloc: ^8.1.3
  get_it: ^8.0.3
  injectable: ^2.3.2
  device_info_plus: ^11.2.0
  shared_preferences: ^2.2.2
  xiaomi_scale:
    path: package/xiaomi_scale
  lottie: ^3.3.0
  print_bluetooth_thermal: ^1.1.4
  esc_pos_utils_plus: ^2.0.2
  local_auth: ^2.1.7
  version: ^3.0.2
  # firebase_auth: ^4.15.3
  # firebase_core: ^2.24.2
  simple_infinite_scroll: ^1.1.0
  google_maps_flutter: ^2.9.0
dev_dependencies:
  flutter_test:
    sdk: flutter
  flutter_lints: ^5.0.0
  build_runner: ^2.4.6
  freezed: ^2.4.5
  json_serializable: ^6.7.1
  injectable_generator: ^2.4.1
flutter:
  uses-material-design: true
  assets:
    - pubspec.yaml
    - assets/icon/
    - assets/image/
    - assets/fonts/
